unit untFrmMainU;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls,
  unfrmModalBaseU, unfrmModalInheritedU, VCL.TMSFNCTypes, VCL.TMSFNCUtils, VCL.TMSFNCGraphics, VCL.TMSFNCGraphicsTypes, VCL.TMSFNCCustomControl, VCL.TMSFNCPlannerBase, VCL.TMSFNCPlannerData, VCL.TMSFNCPlanner;

type
  TfrmMain = class(TForm)
    Button1: TButton;
    Button2: TButton;
    TMSFNCPlanner1: TTMSFNCPlanner;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure TMSFNCPlanner1ItemDblClick(Sender: TObject; AItem: TTMSFNCPlannerItem);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

procedure TfrmMain.Button1Click(Sender: TObject);
var
  frm : TfrmModalBase;
begin
  frm := TfrmModalBase.Create(Self);
  try
    frm.ShowModal;
  finally
    frm.Free;
  end;
end;

procedure TfrmMain.Button2Click(Sender: TObject);
var
  frm : TfrmModalInherited;
begin
  frm := TfrmModalInherited.Create(Self);
  try
    frm.ShowModal;
  finally
    frm.Free;
  end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  TMSFNCPlanner1.Interaction.ReadOnly := True;
end;

procedure TfrmMain.TMSFNCPlanner1ItemDblClick(Sender: TObject; AItem: TTMSFNCPlannerItem);
var
  frm : TfrmModalInherited;
begin
  frm := TfrmModalInherited.Create(Self);
  try
    frm.ShowModal;
  finally
    frm.Free;
  end;
end;

end.
